/* *************************************************** */
@media (max-width: 1450px) {
  .service-h2 {
    font-size: 4rem;
  }
  .service-top-cn {
    justify-content: space-between;
  }
}
/* *************************************************** */
@media (max-width: 1265px) {
  html {
    font-size: 90%;
  }
  /* Service */
}
/* *************************************************** */
@media (max-width: 1126px) {
  html {
    font-size: 80%;
  }
  /* header */
  header .cta-btn {
    padding: 0.7rem 0.5rem;

    gap: 0.3rem;
  }
  header .cta-btn .horizontal-line {
    width: 0.6rem;
  }
  /* Service */
  .service-h2 {
    font-size: 4.5rem;
  }
}
/* *************************************************** */
@media (max-width: 1080px) {
  /* Service */
  .service-h2 {
    font-size: 4.4rem;
  }
}
/* *************************************************** */
@media (max-width: 990px) {
  .service-top-cn {
    padding-left: 0;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 4rem;
  }

  .service-top-cn h2,
  .service-top-cn p {
    text-align: center;
  }
}
/* *************************************************** */
@media (max-width: 768px) {
  html {
    font-size: 70%;
  }
  /* header */
  header nav ul {
    background-color: rgba(255, 255, 255, 0.9);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);

    transform: translateX(110%);
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: 0;
    right: 0;
    width: 30rem;
    height: 40vh;
    max-width: 90%;
    transition: all 0.5s ease-in;

    opacity: 0;
    pointer-events: none;
    visibility: hidden;
    z-index: 1;
  }
  .btn-mobile-nav {
    display: block;
  }
  .nav-open nav ul {
    opacity: 1;
    pointer-events: auto;
    visibility: visible;
    transform: translateX(0);
  }
  .icon-mobile-nav[name="menu-outline"] {
    display: block;
  }
  .nav-open .icon-mobile-nav[name="close-outline"] {
    display: block;
  }
  .nav-open .icon-mobile-nav[name="menu-outline"] {
    display: none;
  }
  .nav-open .overlay {
    display: block;
  }
  /* hero */
  .hero .title {
    font-size: 4rem;
    margin-top: -1rem;
  }
  /* Service */

  .service-bott-cn {
    grid-template-columns: minmax(0, 476px);
    padding: 6rem 1rem;
    margin-left: 2%;
  }
  .service-card {
    display: flex;
    flex-direction: column;
    justify-items: center;
    align-items: center;
  }
  .service-card p {
    text-align: center;
  }

  /* footer */
  .footer-nav-link {
    font-size: 1rem;
  }
  .footer-logo-circle {
    width: 38px;
    height: 38px;
  }
  .social-icon {
    width: 32px;
    height: 32px;
  }
}
/* *************************************************** */
@media (max-width: 647px) {
  /* features */
  .features .grid {
    grid-template-columns: minmax(0, 37rem);
  }
  .backgroud-colors {
    display: none;
  }

  .feature-cards::before {
    content: "";
    position: absolute;
    top: var(--top);
    left: 0;
    width: 100%;
    height: var(--height);
    z-index: -1;
    background: radial-gradient(
      circle at top,
      var(--glow-color) 149%,
      transparent 126%
    );
    filter: blur(40px);
  }
  /* footer */
  .footer-nav-link {
    font-size: 0.7rem;
  }
  .footer-logo-circle {
    width: 24px;
    height: 24px;
  }
  .social-icon {
    width: 24px;
    height: 24px;
  }
}
/* *************************************************** */
@media (max-width: 510px) {
  .footer-content {
    flex-direction: column;
  }
}
/* *************************************************** */
@media (max-width: 400px) {
  /* header */
  header .cta-btn {
    font-size: 0.8rem;
  }
  header .languages-cn {
    gap: 1.5rem;
  }
  /* hero */
  .hero .title {
    font-size: 3rem;
    margin-top: -0.5rem;
  }
  .hero .description {
    font-size: 0.6rem;
  }
}
/* *************************************************** */
@media (max-width: 350px) {
  html {
    font-size: 60%;
  }
  .feature-cards {
    min-height: 16.5rem;
  }
  .footer-nav {
    display: flex;
    gap: 30px;
    flex-wrap: wrap;
  }
}
/* @media (max-width: 230px) {
  html {
    font-size: 40%;
  }
} */
